time(1)

NOMBRE
time - temporiza una orden sencilla o devuelve la utilización de recursos

SINOPSIS
time [opción ...] orden [argumento ...]

DESCRIPCIÓN
La orden time ejecuta el programa orden con los argumentos dados. Una vez que orden termina, time escribe un mensaje en la salida de error estándar con información acerca de la ejecución de dicho programa. Ésta información consta de (i) el tiempo real transcurrido entre la llamada y la finalización de orden, (ii) el tiempo de usuario del procesador empleado (la suma de los valores tms_utime y tms_cutime en un struct tms tal y como lo da times(2)), y (iii) el tiempo de sistema del procesador (la suma de los valores tms_stime y tms_cstime en un struct tms tal y como lo da times(2)).

Observación: algunas shells (por ejemplo bash(1)) incorporan una orden time que suele realizar aproximadamente la misma función. Si desea acceder a esta orden en concreto, tendrá que especificar su ruta completa (seguramente /usr/bin/time).

OPCIONES

-p  Cuando se use la localización POSIX, usar el formato tradicional preciso

        'real %f\nuser %f\nsys %f\n'

    (con números en segundos) donde el número de decimales en la salida de %f está sin especificar pero es suficiente para expresar la precisión del flanco de reloj, y al menos uno.

ESTADO DE SALIDA
Si se invocó orden , el estado de salida será el de orden. En otro caso, será 127 si orden no se pudo encontrar, 126 si se pudo encontrar pero no pudo invocarse, y algún otro valor distinto de cero (1–125) si ocurrió algun otro error.

ENTORNO
Las variables LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, LC_NUMERIC y NLSPATH se usan para dar forma a la salida. PATH se usa para buscar una orden.

VERSIÓN GNU
A continuación, una descripción de la versión 1.7 de GNU de time. A pesar del nombre de la utilidad, GNU hace que devuelva gran cantidad de información útil, no solo sobre el tiempo utilizado, sino además sobre otros recursos como memoria, llamadas E/S o IPC (si están disponibles). La salida se formatea utilizando una cadena de formato que se puede especificar utilizando la opción -f o la variable de entorno TIME.

La cadena de formato por defecto es:

    %Uuser %Ssystem %Eelapsed %PCPU (%Xtext+%Ddata %Mmax)k
    %Iinputs+%Ooutputs (%Fmajor+%Rminor)pagefaults %Wswaps

Cuando se indica la opción -p, se usa el formato de salida portable:

    real %e
    user %U
    sys %S

  La cadena de formato
El formato se interpreta de la forma habitual, similar a printf(3). Los caracteres ordinarios se copian directamente. La tabulación, el salto de línea y la barra invertida se escapan mediante \t, \n y \\, el signo de porcentaje se representa con %%; porque % indica una conversión. El programa time siempre añadirá un salto de línea final. Las conversiones se detallan a continuación. Todas las utilizadas por tcsh(1) son compatibles.

Time

%E  Tiempo real transcurrido (en [horas:]minutos:segundos).

%e  (No aparece en tcsh(1).) Tiempo real transcurrido (en segundos).

%S  Número total de segundos de CPU que el proceso consumió en modo de núcleo.

%U  Número total de segundos de CPU que el proceso consumió en modo de usuario.

%P  Porcentaje de CPU que recibió este trabajo, calculado como (%U + %S) / %E.

Memory

%M  Conjunto máximo residente del proceso durante su tiempo de vida, en KBytes.

%t  (No aparece en tcsh(1).) Tamaño aproximado del conjunto residente del proceso, en KBytes.

%K  Uso de memoria total aproximado (datos+pila+texto) del proceso, en KBytes.

%D  Tamaño aproximado del área de datos no compartida del proceso, en KBytes.

%p  (No aparece en tcsh(1).) Tamaño aproximado del espacio de pila no compartido del proceso, en KBytes.

%X  Tamaño aproximado del espacio de texto compartido del proceso, en KBytes.

%Z  (No aparece en tcsh(1).) Tamaño de página del sistema, en KBytes. Esto es una constante del sistema, pero varía entre un sistema y otro.

%F  Número de faltas de página principales, que ocurrieron mientras el proceso se ejecutaba. Estas son faltas en las que la página debe ser leída desde disco.

%R  Número de faltas de página menores o recuperables. Estas son faltas para páginas que no son válidas pero que no han sido reclamadas aún por otras páginas virtuales. De este modo, los datos en la página son todavía válidos, pero las tablas de sistema deben actualizarse.

%W  Número de veces que el proceso fue intercambiado hacia afuera de la memoria principal.

%c  Número de veces que el proceso fue intercambiado de contexto involuntariamente (porque finalizase la porción de tiempo).

%w  Número de esperas: veces que el programa fue intercambiado de contexto voluntariamente, por ejemplo, mientras se espera a que se complete una operación de E/S.

E/S

%I  Número de entradas al sistema de archivos por el proceso.

%O  Número de salidas al sistema de archivos por el proceso.

%r  Número de mensajes de conexión recibidos por el proceso.

%s  Número de mensajes de conexión enviados por el proceso.

%k  Número de señales entregadas al proceso.

%C  (No aparece en tcsh(1).) Nombre y argumentos en línea de órdenes de la orden temporizada.

%x  (No aparece en tcsh(1).) Estado de salida de la orden.

  Opciones de GNU

-f formato, --format=formato
    Especificar el formato de salida, posiblemente redefiniendo el formato especificado en la variable de entorno TIME.

-p, --portability
    Usar el formato de salida transportable.

-o archivo, --output=archivo
    No enviar los resultados a stderr, sino sobreescribir el fichero especificado.

-a, --append
    (Usado en conjunción con -o.) No sobreescribir, sino añadir al final.

-v, --verbose
    Ofrece una salida detallada sobre todo lo que el programa conoce.

-q, --quiet
    No informa de un final inesperado del programa (cuando orden finaliza al recibir una señal) o con un estdo de salida distinto de cero.

  Opciones estándar de GNU

--help
    Muestra un mensaje en la salida estándar sobre el modo de empleo y acaba con código de éxito.

-V, --version
    Muestra en la salida estándar información sobre la versión, y luego acaba con código de éxito.

--  Termina la lista de opciones.

ERRORES
No todos los recursos son medidos por todas las versiones de UNIX, de modo que algunos valores pueden ser devueltos como cero. La selección presente fue mayormente inspirada por los datos suministrados por 4.2 o 4.3BSD.

La versión 1.7 de GNU time aún no está localizada. Por lo tanto, no cumple con los requisitos POSIX.

La variable de entorno TIME no fue elegida correctamente. No es inusual en sistemas como autoconf(1) o make(1) usar variables de entorno con el nombre de una utilidad para reemplazar la utilidad a usar. Usos como MORE o TIME para opciones a programas (en lugar de nombres de ruta a programas) tiende a llevar a dificultades.

Parece desafortunado que -o sobreescriba en lugar de añadir al final. (Esto es, la opción por defecto debería ser -a.)

Para comunicar sugerencias o errores en time, diríjase a bug-time@gnu.org. Indique la versión de time ejecutando

    time --version

y el sistema operativo y el compilador de C utilizado.

VÉASE TAMBIÉN
bash(1), tcsh(1), times(2), wait3(2)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Jorge Rodriguez (A.K.A. Tiriel) <tiriel@users.sourceforge.net> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.